/*
 * FILEUTIL.LDG
 * (c) 2001 By Dominique Brziat
 * Usefull functions to copy, move, delete
 * files and directories.
 */

#ifndef _LDG_FILE_H_
#define _LDG_FILE_H_

#include <ldg.h>

#ifdef STATICLIB
# define __LDGPROTO(a)	(a)
#else
# define __LDGPROTO(a)	(*a)
#endif

typedef struct {
    char            d_reserved[21];
    unsigned char   d_attrib;
    unsigned int    d_time;
    unsigned int    d_date;
    unsigned long   d_length;
    char            d_fname[64];
} XDTA;  /* Extended DTA structure */

WORD CDECL __LDGPROTO(regexp) ( const char *, const char *);
void CDECL __LDGPROTO(fsetdta)( XDTA *);
XDTA*CDECL __LDGPROTO(fgetdta)( void);
WORD CDECL __LDGPROTO(fsfirst)( char *, LONG attr);
WORD CDECL __LDGPROTO(fsnext) ( void);

WORD CDECL __LDGPROTO(cp)	( char *src, char *dest);
WORD CDECL __LDGPROTO(mkdir)( char *path);
WORD CDECL __LDGPROTO(mv)	( char *src, char *dest);
WORD CDECL __LDGPROTO(rm)	( char *path);
WORD CDECL __LDGPROTO(rmdir)( char *path);

#ifdef _MAIN_
void init_ldgfile( LDG *ldg) {	 
	cp    = ldg_find( "cp",    ldg);
	mkdir = ldg_find( "mkdir", ldg);
	mv    = ldg_find( "mv",    ldg);
	rm    = ldg_find( "rm",    ldg);
	rmdir = ldg_find( "rmdir", ldg);

	regexp  = ldg_find( "regexp",  ldg);
	fsetdta = ldg_find( "fsetdta", ldg);
	fgetdta = ldg_find( "fgetdta", ldg);
	fsfirst = ldg_find( "fsfirst", ldg);
	fsnext  = ldg_find( "fsnext",  ldg);
}
#endif

#endif /* _LDG_FILE_H */

